## Apache Zeta Components Manual :: Docs For Class ezcQuerySqliteFunctions

### Database::ezcQuerySqliteFunctions

### Class ezcQuerySqliteFunctions

The ezcQueryExpressionSqlite class is used to create SQL expression for SQLite.

This class reimplements the methods that have a different syntax in SQLite (substr) and contains PHP implementations of functions that are registered with SQLite with it's PDO::sqliteRegisterFunction() method.

Source for this file: /Database/src/sqlabstraction/implementations/query_sqlite_function_implementations.php

Version: | //autogentag//

### Method Summary

public static integer | `ceilImpl( $number )` Returns the next highest integer value from the number
public static string | `concatImpl( )` Returns a concattenation of the data that SQLite's concat() function receives.
public static integer | `floorImpl( $number )` Returns the next lowest integer value from the number
public static string | `md5Impl( $data )` Returns the md5 sum of the data that SQLite's md5() function receives.
public static string | `modImpl( $dividend , $divisor )` Returns the modules of the data that SQLite's mod() function receives.
public static integer | `positionImpl( $substr , $value )` Returns the SQL to locate the position of the first occurrence of a substring
public static integer | `toUnixTimestampImpl( $spec )` Returns the unix timestamp belonging to a date/time spec

### Methods

#### ceilImpl

static integer ceilImpl( numeric $number )

Returns the next highest integer value from the number

##### Parameters:

Name | Type | Description
--- | --- | ---
`$number` | numeric |

#### concatImpl

static string concatImpl( )

Returns a concattenation of the data that SQLite's concat() function receives.

#### floorImpl

static integer floorImpl( numeric $number )

Returns the next lowest integer value from the number

##### Parameters:

Name | Type | Description
--- | --- | ---
`$number` | numeric |

#### md5Impl

static string md5Impl( string $data )

Returns the md5 sum of the data that SQLite's md5() function receives.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$data` | string |

#### modImpl

static string modImpl( numeric $dividend , numeric $divisor )

Returns the modules of the data that SQLite's mod() function receives.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$dividend` | numeric |
`$divisor` | numeric |

#### positionImpl

static integer positionImpl( string $substr , string $value )

Returns the SQL to locate the position of the first occurrence of a substring

##### Parameters:

Name | Type | Description
--- | --- | ---
`$substr` | string |
`$value` | string |

#### toUnixTimestampImpl

static integer toUnixTimestampImpl( string $spec )

Returns the unix timestamp belonging to a date/time spec

##### Parameters:

Name | Type | Description
--- | --- | ---
`$spec` | string |

Documentation generated by phpDocumentor 1.4.3